> For the complete documentation index, see [llms.txt](https://docs.rallyprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rallyprotocol.com/flutter/embedded-wallets/create-wallets.md).

# Create wallets

## Generate an EOA wallet&#x20;

EOA wallets are generated on-device at device + application level and automatically backed up to the user's cloud account.

```dart
import 'package:rly_network_flutter_sdk/wallet_manager.dart';

//create an account
final account = await WalletManager.getInstance().createWallet();
```

## Get the public address

```dart
import 'package:rly_network_flutter_sdk/wallet_manager.dart';

//get current user account address
final address = await WalletManager.getInstance().getPublicAddress();
```

{% hint style="info" %}
EOA wallets share the same address for both Amoy and Mainnet Polygon.&#x20;
{% endhint %}

## Get the seed phrase

Display the seed phrase to enable users to export their EOA wallet.&#x20;

```dart
import 'package:rly_network_flutter_sdk/wallet_manager.dart';
final mnemonic = WalletManager.getInstance().getAccountPhrase();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rallyprotocol.com/flutter/embedded-wallets/create-wallets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
